This document is written by Shift-JIS (Japanese)

***********
* nesterJ *
***********


=======
 履歴
=======

	ver 0.10
			＜非公開版＞バグ修正と圧縮ファイルの読み込みに対応するが、
			武田氏のコードを組み込むために公開を見合わせた、幻のバージョン。

	ver 0.11
			nesterJとしての初公開。
			適当な日本語化の副作用で一部メニューが機能しなくなっていたのを修正。
			統合アーカイバDLLによる圧縮ファイルの読み込みに対応。
			武田氏による mapper の追加。
			ふざけたドキュメントを修正。

	ver 0.11改
			UPX圧縮により不具合が出たので非圧縮版に差し替えて配布する事にしました。
			その他の修正はありません。

	ver 0.11a
			武田氏による mapper 25,65,85 の追加。
			武田氏による mapper 17,21,32,66 の修正。
			開発環境を VC++6.0 Enterprise Edition に変えて、速度が向上しました。
			変更点は武田氏に全て依存しています(^^;

	ver 0.11b
			セーブファイルが保存されないバグを修正。
			凄く間抜けなミスです。反省。

	ver 0.12
			武田氏による mapper 34,87,93,122(184と同じ) の追加（動作するもののみ）。
			武田氏による mapper 19,85 の修正。
			#34の追加で魔鐘が動く！個人的に嬉しいです。

	ver 0.13
			武田氏による mapper 15,41,42,75,94 の追加
			特殊mapperについては採用しようかどうか迷ったのですが、
			本家nesterの発展の為に採用する事にしました。どうぞご理解下さい。
			バージョンがいきなり0.13になったのはキングコング２が動いたから（個人的）。

	ver 0.13a
			武田氏による mapper 13,112,114,225,231 の追加。
			武田氏による mapper 41 の修正（でもまだ動かない？）。

	ver 0.15
			サウンドをWAVE録音機能を追加。記念にバージョンを一気に上げました。
			武田氏による mapper 64,227,228 の追加。
			武田氏による mapper 13,41,71 の修正（#13が動かなくなった？）。

	ver 0.16
			武田氏による mapper 73,79,95,232,238 の追加。
			武田氏による mapper 19,67,71,80,88 の修正。

	ver 0.17
			武田氏による mapper 91,118,226,229 の追加。
			武田氏による mapper 2,3,21,24,69,95 の修正。
			DQ1&2の音が出るようになりました！
			G-NES の 作者の GIGO さんのアドバイスで武田氏が修正したものです。
			感激です!!!
			#118のys3が動くのも見逃せません。

	ver 0.18
			武田氏による mapper 6,180,185,233 の追加。
			武田氏による mapper 19,25 の修正。
			サウンドを無効にしている時にサウンド録音機能を使用できないように修正。
			その他間抜けなバグ修正。

	ver 0.20
			ディスクシステムに対応。記念にver 0.20にアップ。
			mapper 20,82 の追加。
			mapper 19,79,226 の修正。
			全て武田氏によるものです。
			最近は武田氏のストーキングと、体調回復のための睡眠で殆ど何もやって無いです。

	ver 0.21
			ディスクシステムの純粋なBIOSイメージに対応。
			mapper 90 の追加。
			mapper 17,20 の修正。
			全て武田氏によるものです。もうネタ切れだそうです。

	ver 0.21a
			早送り機能搭載（暫定版）。

	ver 0.22
			＜非公開版＞10/8武田氏１回目のリリース対応版。
			武田氏による mapper 5,113,117 の追加。
			武田氏による mapper 70,80,82,90 の修正。

	ver 0.22a
			＜非公開版＞10/8武田氏２回目のリリース対応版。
			武田氏による mapper 5,21,24 の修正。

	ver 0.23
			＜非公開版＞10/8武田氏３回目のリリース対応版。
			mapper 90 の修正。
			256KB以上のVROMに対応するよう修正（多分そういうことだと思う）。
			日に３回。。。やっぱり鉄人ですな、武田氏。

	ver 0.25
			倍速モード搭載。記念にバージョンをきりの良い数字に。
			Darren Ranalli氏に迷惑がかからないように細かい変更を加えました。

	ver 0.25a
			＜非公開版＞武田氏10/10のリリース対応版。

	ver 0.25b
			＜実在しない幻のバージョン＞10/11武田氏１回目のリリースに対応できなかった版。
			寝ている間に消えてた。。。

	ver 0.25c
			10/11武田氏２回目のリリース対応版。
			武田氏による mapper 5,16,23,75の修正。

	ver 0.27
			フォルダ選択機能の追加。いつものように記念にバージョンとばし。

	ver 0.28
			武田氏による mapper 86,101,230,255 の追加。
			武田氏による mapper 16,19,20,33 の修正。
			FDS読みこみ対応。圧縮されたFDSの読みこみにも対応。

	ver 0.29
			倍速モードに関する機能追加、バグ修正。
			武田氏による　mapper 65の修正。FAM形式のディスクイメージ対応。

	ver 0.29a
			ちょっとバグ修正。

	ver 0.30
			武田氏による mapper 33,160の修正。
			frame-IRQ のサポートをコア側に。
			ウィンドウ2倍表示時のパフォーマンスの改善（High Color mode 以上）
			圧縮ファイル読み込みの不具合（v 0.28以降）の修正

	ver 0.30b
			武田氏による mapper 243の追加。185の修正。
			描画エンジンの選択を追加

	ver 0.31
			武田氏による mapper 72,76,92,188,243の追加。
 			武田氏による mapper 23 の修正。
 			ウィンドウ２倍表示時のスキャンラインモード追加。
			ファイル名の扱いを変更。
			エミュレータのポーズ機能追加。

	ver 0.31 SP1
			バグ修正、エラー無視オプションの追加。

	ver 0.35
			＜手違いにより公開＞武田氏10/22 2ndリリース対応版
			武田氏による mapper 67,89,82,95,の修正。
 			武田氏による mapper  19,20,24,26,85の拡張音源対応の為の修正。
			倍速モード設定用トラックバーのバグ修正（馬鹿でした〜 by みかみかな）。
			拡張音源対応による設定項目の追加。

	ver 0.351
			武田氏10/22 4thリリース対応版
			武田氏による mapper 44,100 の追加。
			武田氏による mapper 69,113,231 の修正。
			４回ですよ、４回。武田氏すご過ぎ。

	ver 0.351 SP1
			VRC6 拡張音源の不具合修正

	ver 0.351 SP2
			拡張音源の修正

	ver 0.351 SP3
			武田氏によるマッパーの修正・拡張音源の追加・修正
			武田氏によるマッパーの修正１ 1,4,6,118 
			追加　 Nintendo MMC5 拡張サウンド 
			全ての対応拡張音源がAPUに同期。 
			ファイル名の扱いの修正 
			エラースキップの設定の変更 
			フォルダの設定で、フォルダオープンダイアログを使用可能に 

	ver 0.351 SP4
			半角カタカナを含めたファイル名が扱えなくなっていたのを修正

	ver 0.351 pv.T	＜プライベートバージョン・非公開＞
			ディスク入れ替えのサンプル用に作ったもの。武田氏専用。

	ver 0.351 SP5
			拡張音源の調整 
			ディスク入れ替えメニューの追加 

	ver 0.351 SP5 FIX
			一部の環境で起動できなくなっていたのを修正

	ver 0.40	武田氏10/22 2ndリリース対応版
			NSF対応。mapper 77,78,80の 修正。
			外部パレット読みこみ対応。

	ver 0.41	英語版プライベートバージョンのみ作成。

	ver 0.42
			マッパーの修正 99,151,189,240,246 
			マッパーの修正 0,1,2,3,4,8,19,80,82 
			グラフィック、サウンドまわりの修正
			VS-Unisystem対応
			マイク対応
			ファミリートレーナー、ぽっくんモグラー
			ハイパーショット、麻雀コントローラー
			ディスクのセーブ対応
			一週間ぐらいでこれだけのことをやってしまうとは、さすが武田氏。
			VS-Unisystemのパレットぐらいですね、わたしがやったのは。

	ver 0.43	武田氏の 11/16リリース対応版
			マッパーの追加 46,47,182,187 
			マッパーの修正 1,3,4,5,16,19,20,21,23,25,32,43,64,65, 
			               67,68,69,70,96,112,117,160,235,231,241 
			サウンド周りのメモリリークの修正。 
			ドラゴンクエスト等の画面フラッシュ（「ひかりあれ」等）に対応 
			特殊コントローラ対応追加
			　　　光線銃,エキサイトボクシング用コントローラ,Power Pad（海外版ファミトレ） 
			特殊コントローラ自動選択機能の追加 

	ver 0.44	武田氏の 11/26(3rd)リリース対応版
			マッパーの追加 48,83,242 
			マッパーの修正 3,4,23,25,85,96,180 
			周辺機器対応追加 
			おえかキッズタブレット,クレイジークライマーコントローラ,アルカノイドパドル,ターボファイル 
			データベース機能
			FAM5のディスクイメージ、NEZ形式の読みこみに対応 
			ディスクのウェイトルーチンの修正 
			画面フラッシュの修正 
			Trainerが動作しなくなっていたのを修正 
			光線銃の修正 
			Atari RBI Baseball のパレット追加 
			他、内部的に色々 

	ver 0.45	武田氏の 12/03(2nd)リリース対応版
			マッパーの追加 43,234 
			マッパーの修正 1,4,16,45,71,88,112,232,235 
			ファミリーベーシックキーボード対応 
			データベースの更新 
			サウンドの修正 
			ディスクシステムのセーブの修正 
			Dragon Ball Z(#16)のセーブに対応 
			ベストプレープロ野球SpecialのWRAMバンクスイッチに対応

	ver 0.48	武田氏の 12/03(2nd)リリース対応版
			スクリーンショット機能搭載 
			F11キーで録音の開始、停止が行えるようになりました。 
			マッパーの追加 49(not work),50 
			マッパーの修正 1,5,19,20,25,26,32,42,73,235 
			SNSS対応の為のマッパー修正 
				16,17,18,19,21,22,23,24,25,26,32,33,46, 
				48,64,65,67,68,69,73,75,76,82,85,88,95 
			サウンドの修正 
			DPCM IRQ のサポート(ロマンシア) 
			マザー(任天堂) における PPU BankSwitch のサポート

	ver 0.49	武田氏の 12/30リリース対応版
			フルスクリーン時のスキャンライン搭載 
			三角波における設定の追加 
			マッパーの修正 5,49 
			サウンドコードの修正 

	ver 0.50	武田氏の 1/27リリース対応
			SSTPに対応 
			武田氏による追加・修正 
			マッパーの修正 4,18,20,33 
			サウンドの修正 
			NSFプレイヤーの修正 
			VS-Unisystem対応ゲームの追加や修正など 
			スペースシャドウの光線銃の操作を変更 
			ネットワークプレイに対応!!! 
			ムービー録再に対応 
			拡張デバイスへの新規対応 
			  *どれみっこキーボード 
			  *データレコーダー 
			  *データック バーコードバトラー 

	ver 0.501
			ディスクのセーブに関するバグ修正

	ver 0.502
			SSTPに関する修正